By continuing to use this site, you agree to the Terms of Service of this website, including usage of cookies.

OK, Don't show this again

Remove specific commands from the in-game command suggestions.
version 2.0.3
Approved
Direct Download How to install?
Switch version
153 Downloads / 7730 Total
13 Reviews
Plugin Description §

Description

Remove specific commands from the in-game command suggestions.

Note: Just because the commands are hidden, doesn't mean they can't be executed. You still need to make sure to have proper permission management in place.

Usage

  1. Put phar from Poggit into plugins folder
  2. Start server
  3. Stop server
  4. Edit the config.yml file located in plugin_data/HideCommands
    • Choose whitelist or blacklist mode
    • Select the commands to whitelist/blacklist

The permission hidecommands.unhide allows players to see hidden commands again. It has been set to default: false, which means you need to explicitly give it to a player or group using a permission manager like PurePerms.

Additional Information

Icon credits: https://pixabay.com/vectors/spy-hat-anony-anonymous-detect-2657484/

What's new §
  • Compatibility with PocketMine 4.6.0 for Minecraft 1.19.10 (Protocol 534) (thanks @JoshuaPHYT)
  • Compatibility with PocketMine 4.3.0 for Minecraft 1.18.30 (Protocol 503)
  • Compatibility with PocketMine 4.5.0 for Minecraft 1.19.0 (Protocol 527)
  • Compatibility with PocketMine 4.2.0 for Minecraft 1.18.10 (Protocol 486)
  • Update to PMMP API 4.0.0
  • Drop support for PMMP API 3.0.0
  • Compatibility with PocketMine 3.26.0 for Minecraft 1.18.0 (Protocol 475) (thanks @KygekDev)
  • Compatibility with PocketMine 3.25.0 for Minecraft 1.17.40 (Protocol 471) (thanks @KygekDev)
  • Compatibility with PocketMine 3.23.1 for Minecraft 1.17.30 (Protocol 465) (thanks @TheGamingSnail)
  • Compatibility with PocketMine 3.22.0 for Minecraft 1.17.10 (Protocol 448) (thanks @KygekDev)
  • Compatibility with PocketMine 3.20.0 for Minecraft 1.17.0 (Protocol 440) (thanks @JoshuaPHYT)
  • Compatibility with PocketMine 3.19.0 for Minecraft 1.16.220 (Protocol 431) (thanks @JoshuaPHYT)
  • Compatibility with PocketMine 3.18.0 for Minecraft 1.16.210 (Protocol 428) (thanks @JoshuaPHYT)
  • Compatibility with PocketMine 3.17.0 (thanks @JoshuaPHYT)
  • Compatibility with PocketMine 3.16.0
  • Add support for 1.16.20
  • Add support for 1.16.0

GamerMJay
Outdated
using v2.0.2
11 Jun 22
GabriMode
Outdated
using v2.0.1
23 May 22
It's outdated, not to mention that I don't see the point of putting protocol.
HimbeersaftLP
11 Jun 22
Protocol is required by Poggit rules. If it's outdated you need to remind me on Discord or GitHub I have a job I can't sit around and update plugins all day.
NoNeim1
Outdated
using v1.0.9
20 Jul 21
Add a perworld feature
ZZWILLIAMXXTrue
Outdated
using v1.0.5
13 Dec 20
ZZWILLIAMXXTrue
Outdated
using v1.0.4
12 Dec 20
Great Plugin untill 1.16.100 and 1.16.200 came out because protocols
HimbeersaftLP
13 Dec 20
Thank you. The plugin has been updated now.
Zinkil
Outdated
using v1.0.3
13 Oct 20
I didn't use it but good job kidding best plugin :)
HimbeersaftLP
13 Dec 20
Thx :)
GodWeedZao
Outdated
using v1.0.3
12 Aug 20
best plugin, its very usefull for my server thank you 🧡🧡
HimbeersaftLP
12 Aug 20
Best is a bit of an overstatement :P, but thanks ^^
mrpwes
Outdated
using v1.0.2
29 Jul 20
KygekDev
Outdated
using v1.0.2
19 Jul 20
Plugin don't hide commands. I've set some commands to hide on the config.yml. I'm using MultiWorld.
HimbeersaftLP
21 Jul 20
Please create an issue on GitHub, the plugin worked completely fine when I tested it: https://github.com/HimbeersaftLP/HideCommands/
Radledazzler
Outdated
using v1.0.2
30 Jun 20
Please add MultiWorld support :)
HimbeersaftLP
30 Jun 20
Please comment on this GitHub issue. I don't get notified of reviews: https://github.com/HimbeersaftLP/HideCommands/issues/2
UpdatePluginNow
Outdated
using v1.0.1
27 Jun 20
BRO 1.16 UDATE NOW
HimbeersaftLP
30 Jun 20
Done
GodWeedZao
Outdated
using v1.0.1
13 May 20
lol Hi Bro This plugin is very use full for all XD i hope you contnue ur works :D
HimbeersaftLP
14 May 20
Thanks ^^
HiToLaKhanh
Outdated
using v1.0.1
05 May 20
nice
HimbeersaftLP
06 May 20
Thanks ^^

Reply to review by :

/ 5
Supported API versions
4.0.0
->
4.7.0
Producers §
  • Collaborators:
    • @HimbeersaftLP
  • Contributors:
    • @JoshuaPHYT
    • @KygekDev
    • @TheGamingSnail
License §
Categories:
Informational
Permissions
Permissions

You can leave one review per plugin release, and delete or update your review at any time

/ 5
Loading...